Som du ser är vår webbplats inte anpassad för äldre webbläsare. Vi rekommenderar att du uppgraderar till en nyare webbläsare.

Publicerad - Sårbarhet, Windows, Linux

Skadlig kod i UA-Parser-js

JavaScript-biblioteket UAParser (npm package), har distribuerat tre versioner innehållandes skadlig kod. Om du har installerat ett sådant paket bör du utgå från att systemet är komprometterat.

På Windows-system kommer ett sådant paket att ladda ner och installera skadlig programvara som stjäl lösenord samt en XMRig-mjukvara, som bryter kryptovaluta till förmån för angriparen.

På Linux kommer paketet endast ladda ner XMRig och på macOS kommer inget alls att installeras [1,2,3].

Påverkade produkter

UA-Parser-js, versionerna: 0.7.29, 0.8.0, 1.0.0

Rekommendationer

NPM-paketet bör tas bort, men för att vara säker på få bort all skadlig kod som tillkommit vid installationen, rekommenderas att maskinerna genomsöks efter spår på skadlig aktivitet. Möjligen är en fullständig ominstallation av maskinen nödvändig.

Därefter kan respektive patchade versioner (0.7.30, 0.8.1, 1.0.1) installeras.

Källor

[1] https://us-cert.cisa.gov/ncas/current-activity/2021/10/22/malware-discovered-popular-npm-package-ua-parser-js
[2] https://github.com/advisories/GHSA-pjwm-rvh2-c87w
[3] https://www.npmjs.com/package/ua-parser-js